# Do not change this spec directly but in the svn
# $Id: rpm.spec 61429 2006-09-14 12:49:03Z rafael $

%define lib64arches	x86_64 ppc64 sparc64

%ifarch %lib64arches
    %define _lib lib64
%else
    %define _lib lib
%endif

%define _prefix /usr
%define _libdir %_prefix/%_lib
%define _bindir %_prefix/bin
%define _sysconfdir /etc
%define _datadir /usr/share
%define _defaultdocdir %_datadir/doc
%define _localstatedir /var
%define _mandir %_datadir/man
%define _infodir %_datadir/info

%define _host_vendor mandriva

# Define directory which holds rpm config files, and some binaries actually
# NOTE: it remains */lib even on lib64 platforms as only one version
#       of rpm is supported anyway, per architecture
%define rpmdir %{_prefix}/lib/rpm

%if %{?mklibname:0}%{?!mklibname:1}
%define mklibname(ds)  %{_lib}%{1}%{?2:%{2}}%{?3:_%{3}}%{-s:-static}%{-d:-devel}
%endif

%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix mdv
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:mdv}%{?mandriva_release:%mandriva_release}%{?subrel:.%subrel}
%endif

%if %{?pyver:0}%{?!pyver:1}
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")
%endif

%define __os_install_post %_datadir/spec-helper/spec-helper
%define __find_requires %{rpmdir}/mandriva/find-requires %{?buildroot:%{buildroot}} %{?_target_cpu:%{_target_cpu}}
%define __find_provides %{rpmdir}/mandriva/find-provides

%define rpmversion	4.4.6
%define poptver		1.10.6
%define perlmoduleversion	0.66
%define srcver		%rpmversion
%define libpoptver	0
%define libver		4.4
# You need to increase all releases in accordance with version changes
%define release			    %mkrel 10
%define perlmodulerelease	%mkrel 16
%define poptrelease		%{release}

%define libpoptname  %mklibname popt %{libpoptver}
%define librpmname   %mklibname rpm  %{libver}

%define buildpython 1

%ifarch ppc x86_64 amd64 ppc64 athlon pentium3 pentium4
%define buildnptl 1
%else
%define buildnptl 0
%endif

%{?_with_python:%define buildpython 1}
%{?_without_python:%define buildpython 0}

%{?_with_nptl:%define buildnptl 1}
%{?_without_nptl:%define buildnptl 0}

Summary:	The RPM package management system
Name:		rpm
Version:	%{rpmversion}
Release:	%{release}
Group:		System/Configuration/Packaging

Source:		ftp://ftp.jbj.org/pub/rpm-%{libver}.x/rpm-%{srcver}.tar.bz2

# Add some undocumented feature to gendiff
Patch17:	rpm-4.2-gendiff-improved.patch

# (fredl) script failures don't break install/upgrade/removal
# http://qa.mandriva.com/show_bug.cgi?id=25598
Patch22:        rpm-4.0.3-script-dont-fail.patch

# (fredl) add loging facilities through syslog
Patch31:	rpm-4.4.3-syslog.patch

# Check amd64 vs x86_64, these arch are the same
Patch44:	rpm-4.4.1-amd64.patch

# Backport from 4.2.1 provides becoming obsoletes bug (fpons)
Patch49:	rpm-4.4.3-provides-obsoleted.patch

# Still need
Patch56:	rpm-4.2.2-ppc64.patch

# Colorize static archives and .so symlinks
Patch62:	rpm-4.4.3-coloring.patch

# ok for this
Patch63:	rpm-4.4.6-dont-install-delta-rpms.patch

# This patch ask to read /usr/lib/rpm/vendor/rpmpopt too
Patch64:    rpm-4.4.1-morepopt.patch

# Being able to read old rpm (build with rpm v3)
# See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=127113#c12
Patch68:    rpm-4.4.1-region_trailer.patch

# Fix some French translations
Patch69:	rpm-4.4.6-fr.patch

# In original rpm, -bb --short-circuit does not work and run all stage
# From popular request, we allow to do this
# http://qa.mandriva.com/show_bug.cgi?id=15896
Patch70:	rpm-4.4.1-bb-shortcircuit.patch

# http://www.redhat.com/archives/rpm-list/2005-April/msg00131.html
# http://www.redhat.com/archives/rpm-list/2005-April/msg00132.html
Patch71:    rpm-4.4.4-ordererase.patch

# File conflicts when rpm -i
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=151609
Patch72:    rpm-4.4.1-fileconflicts.patch

# Allow to set %_srcdefattr for src.rpm
Patch77:    rpm-source-defattr.patch

# Do not use futex, but fcntl
Patch78:    rpm-4.4.6-fcntl.patch

# Fix: http://qa.mandriva.com/show_bug.cgi?id=17774
# Patch from cvs HEAD (4.4.3)
Patch80:    rpm-4.4.2-buildsubdir-for-scriptlet.patch

Patch82:    rpm-4.4.3-ordering.patch

# don't conflict for doc files from colored packages
Patch83: rpm-4.2.3-no-doc-conflicts.patch

# Fix http://qa.mandriva.com/show_bug.cgi?id=19392
Patch84: rpm-4.4.4-rpmqv-ghost.patch

# Install perl module in vendor directory
Patch85: rpm-4.4.4-perldirs.patch

# Use temporary table for Depends DB (Olivier Thauvin upstream)
Patch86: rpm-4.4.6-depsdb.patch

# Currently we prefer to disable dependencies over parents directory
Patch87: rpm-4.4.6-no-dirnames-dep.patch

# rpm 4.4.6 killed SOURCEPACKAGE, but this was announce lately, and will
# break all older tools that was using it (mdv 2006, 2005) which need this
# tag to know it is possible to rebuild a src.rpm
# This patch readd the tag into src.rpm
Patch88: rpm-4.4.6-SOURCEPACKAGE.patch

# make rpmdb cpp compliant (sptutle)
# reported upstream, I hope to see this include
Patch89: rpm-4.4.6-rpmdb.h-cpp-fix.patch

# Unchecked eol with rpm --eval %, or %!
# reported upstream
Patch90: rpm-4.4.6-macro-unchecked-eol.patch

# avoids taking into account duplicates in file list when checking
# for unpackaged files
Patch91: rpm-4.4.6-check-dupl-files.patch

# with tar >= 1.15.91, one needs the --wildcard option to list *.spec
# files (for rpm -ta)
Patch92: rpm-4.4.6-newtar.patch

# Berkeley DB stores path into __db.00? files.
# this is an issue when using --root because
# "chroot rpm" will not work when trying to find files
# into the chroot path again. To avoid this issue,
# this patch uses the same hack than sqlite:
#   getcwd; cd /; chroot root; => enterChroot()
#   play with db
#   chroot . ; cd oldpath => leaveChroot()

Patch93: rpm-4.4.6-db3-chroot-with-root.patch

# This patch adds again a workaround to allow rpm to read/install
# rpm v3 - Internal format is likely the same into rpm v4, data is
# just organised in another way

Patch94: rpm-4.4.6-rpmv3-support.patch

# http://qa.mandriva.com/show_bug.cgi?id=23075 said everything:
# use tee -a to avoid overwrite in the loop
Patch95: rpm-4.4.6-gendiff-tee-no-overwrite.patch

# Patch fixing http://qa.mandriva.com/show_bug.cgi?id=23774
Patch96: rpm-4.4.6-configfile-not-removed.patch

# upstream patch
# https://lists.dulug.duke.edu/pipermail/rpm-devel/2006-July/001266.html
Patch97: rpm-dbenv.patch

License:	GPL
BuildRequires:	autoconf2.5 >= 2.57
BuildRequires:	doxygen
BuildRequires:	zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:	automake1.8
BuildRequires:	glibc-static-devel
BuildRequires:	elfutils-static-devel
BuildRequires:	sed >= 4.0.3
BuildRequires:	libbeecrypt-devel
BuildRequires:	ed, gettext-devel
BuildRequires:  libsqlite3-static-devel
BuildRequires:  neon-static-devel >= 0.26
BuildRequires:  rpm-mandriva-setup-build
BuildRequires:  readline-devel
BuildRequires:	ncurses-devel
BuildRequires:  openssl-static-devel >= 0.9.8
BuildRequires:	perl-devel
BuildRequires:  liblua-devel
# Need for doc
BuildRequires:	graphviz
BuildRequires:	tetex
%if %buildpython
BuildRequires:	python-devel
%endif
%if %buildnptl
# BuildRequires:	nptl-devel
%endif

Requires:	bzip2 >= 0.9.0c-2
Requires:	cpio
Requires:	gawk
Requires:	glibc >= 2.1.92
Requires:	mktemp
Requires:	popt = %{poptver}-%{poptrelease}
Requires:	setup >= 2.2.0-8mdk
Requires:	rpm-mandriva-setup >= 1.16
Requires:	update-alternatives
Requires:	%librpmname = %version-%release
Conflicts:	patch < 2.5
Conflicts:	menu < 2.1.5-29mdk
Conflicts:	locales < 2.3.1.1
Conflicts:	man-pages-fr < 0.9.7-16mdk
Conflicts:	man-pages-pl < 0.4-9mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:            http://www.rpm.org/
Requires(pre):		rpm-helper >= 0.8
Requires(pre):		coreutils
Requires(postun):	rpm-helper >= 0.8

%description
RPM is a powerful command line driven package management system capable of
installing, uninstalling, verifying, querying, and updating software packages.
Each software package consists of an archive of files along with information
about the package like its version, a description, etc.

%package -n %librpmname
Summary: Library used by rpm
Group:		System/Libraries
Provides:   librpm = %version-%release

%description -n %librpmname
RPM is a powerful command line driven package management system capable of
installing, uninstalling, verifying, querying, and updating software packages.
This package contains common files to all applications based on rpm.

%package -n %librpmname-devel
Summary:	Development files for applications which will manipulate RPM packages
Group:		Development/C
Requires:	rpm = %{version}-%{release}
Requires:	popt-devel = %{poptver}-%{poptrelease}
Provides:   	librpm-devel = %version-%release
Provides:   	rpm-devel = %version-%release
Obsoletes:  	rpm-devel < 4.4.1

%description -n %librpmname-devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary:	Scripts and executable programs used to build packages
Group:		System/Configuration/Packaging
Requires:	autoconf
Requires:	automake
Requires:	file
Requires:	gcc-c++
# We need cputoolize & amd64-* alias to x86_64-* in config.sub
Requires:	libtool-base >= 1.4.3-5mdk
Requires:	patch
Requires:	make
Requires:	unzip
Requires:	elfutils
Requires:	rpm = %{version}-%{release}
Requires:	rpm-mandriva-setup-build

%description build
This package contains scripts and executable programs that are used to
build packages using RPM.

%if %buildpython
%package -n python-rpm
Summary:	Python bindings for apps which will manipulate RPM packages
Group:		Development/Python
Requires:	python >= %{pyver}
Requires:	rpm = %{version}-%{release}
Obsoletes:  rpm-python
Provides:   rpm-python = %version-%release

%description -n python-rpm
The rpm-python package contains a module which permits applications
written in the Python programming language to use the interface
supplied by RPM (RPM Package Manager) libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.
%endif

%package -n popt-data
Summary: popt static data
Group:		System/Libraries
Version:	%{poptver}
Release:    %{poptrelease}

%description -n popt-data
This package contains popt data files like locales.

%package -n %libpoptname
Summary:	A C library for parsing command line parameters
Group:		System/Libraries
Version:	%{poptver}
Release:	%{poptrelease}
Requires:   popt-data >= %{poptver}
Provides:   lib%{popt} = %{poptver}-%{poptrelease}
Provides:   popt = %{poptver}-%{poptrelease}
Obsoletes:  popt <= 1.8.3

%description -n %libpoptname
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n %libpoptname-devel
Summary:	A C library for parsing command line parameters
Group:		Development/C
Version:	%{poptver}
Release:	%{poptrelease}
Requires:	popt = %{poptver}-%{poptrelease}
Provides:   popt-devel = %{poptver}-%{poptrelease}
Provides:   libpopt-devel = %{poptver}-%{poptrelease}
Obsoletes:  popt-devel <= 1.8.3

%description -n %libpoptname-devel
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

Install popt-devel if you're a C programmer and you'd like to use its
capabilities.

%define		perlmodule	RPM
%package -n perl-%perlmodule
Summary:	Perl bindings for RPM
Group:		Development/Perl
Version:	%perlmoduleversion
Release:	%perlmodulerelease

%description -n perl-%perlmodule
The RPM Perl module provides an object-oriented interface to querying both
the installed RPM database as well as files on the filesystem.

%prep
%setup -q -n %name-%srcver

%patch17 -p1 -b .improved

%patch22 -p0 -b .fail

%patch31 -p0 -b .syslog

%patch44 -p1 -b .amd64

%patch49 -p0 -b .provides

%patch56 -p1 -b .ppc64

%patch62 -p0 -b .coloring

%patch63 -p0 -b .dont-install-delta-rpms

%patch64 -p0 -b .morepopt

%patch68 -p0 -b .region_trailer

%patch69 -p0 -b .trans

%patch70 -p0 -b .shortcircuit

%patch71 -p0  -b .ordererase

%patch72 -p1  -b .fileconflicts

%patch77 -p0  -b .srcdefattr

%if %buildnptl
%else
%patch78 -p0  -b .fcntl
%endif

%patch80 -p0 -b .subdir-scriplet

%patch82 -p0 -b .ordering

%patch83 -p1 -b .no-doc-conflicts

%patch84 -p0 -b .poptQVghost

%patch85 -p0 -b .perldirs

%patch86 -p0 -b .depsdb

%patch87 -p0 -b .no-dirname-dep

%patch88 -p0 -b .sourcepackage

%patch89 -p0 -b .cpp-compliant

%patch90 -p0 -b .unchecked-eol

%patch91 -p0 -b .check-dupl-files

%patch92 -p0 -b .newtar

%patch93 -p0 -b .db3chroot

%patch94 -p0 -b .rpmv3-support

%patch95 -p0 -b .gendiff-tee-overwrite

%patch96 -p0 -b .configfile-not-removed

%patch97 -p0 -b .dbenv

# The sqlite from rpm tarball is the same than the system one
# rpm author just add LINT comment for his checking purpose
mv sqlite sqlite.orig

%build

for dir in . popt file zlib db/dist; do
    (
    cd $dir
    libtoolize --force
    aclocal
    automake -a
    autoconf
    )
done

# rpm takes care of --libdir but explicitelly setting --libdir on
# configure breaks make install, but this does not matter.
# --build, we explictly set 'mandriva' as our config subdir and 
# _host_vendor are 'mandriva'
%ifarch x86_64
fpic="-fPIC"
%endif

CFLAGS="$RPM_OPT_FLAGS $fpic" CXXFLAGS="$RPM_OPT_FLAGS $fpic" \
    ./configure \
        --build=%{_target_cpu}-%{_host_vendor}-%{_target_os}%{?_gnu} \
        --prefix=%{_prefix} \
        --sysconfdir=%{_sysconfdir} \
        --localstatedir=%{_localstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
        --enable-nls \
        --without-javaglue \
%if %buildnptl
        --enable-posixmutexes \
%else
        --with-mutex=UNIX/fcntl \
%endif
%if %buildpython
        --with-python=%{pyver} \
%else
        --without-python \
%endif
        --with-glob \
        --without-selinux \
        --with-apidocs 

# We should use the zlib provided with rpm:
# 21:17 < Nanar> why using ../../zlib in file/ instead system library ?
# 21:38 < jbj> Nanar: zlib modified to make *.rpm packages rsync friendly.
#              See https://svn.uhulinux.hu/packages/dev/zlib/patches/02-rsync.patch
# 21:38 < jbj> rip if you don't want to be rsync friendly. <shrug>

# Zlib tree don't support make -j
# building in first

(
 cd zlib
 make
)
%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=%buildroot install

# We put a popt copy in /%_lib for application in /bin
# This is not for rpm itself as it requires all rpmlib
# from /usr/%_lib
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT%{_libdir}/libpopt.so.* $RPM_BUILD_ROOT/%{_lib}
ln -s ../../%{_lib}/libpopt.so.0 $RPM_BUILD_ROOT%{_libdir}
ln -sf libpopt.so.0 $RPM_BUILD_ROOT%{_libdir}/libpopt.so

rm -f $RPM_BUILD_ROOT%{_prefix}/lib/rpmpopt
ln -s rpm/rpmpopt-%{rpmversion} $RPM_BUILD_ROOT%{_prefix}/lib/rpmpopt

%ifarch ppc powerpc
ln -sf ppc-mandriva-linux $RPM_BUILD_ROOT%{rpmdir}/powerpc-mandriva-linux
%endif

mv -f $RPM_BUILD_ROOT/%{rpmdir}/rpmdiff $RPM_BUILD_ROOT/%{_bindir}

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm/
cat << E_O_F > $RPM_BUILD_ROOT/etc/rpm/macros.cdb
%%__dbi_cdb      %%{nil}
%%__dbi_other    %%{?_tmppath:tmpdir=%%{_tmppath}} usedbenv create \
                 joinenv mpool mp_mmapsize=8Mb mp_size=512kb verify
E_O_F

mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
for dbi in \
	Basenames Conflictname Dirnames Group Installtid Name Providename \
	Provideversion Removetid Requirename Requireversion Triggername \
	Packages __db.001 __db.002 __db.003 __db.004
do
    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
done

find apidocs -type f | xargs perl -p -i -e "s@$RPM_BUILD_DIR/%{name}-%{rpmversion}@@g"

test -d doc-copy || mkdir doc-copy
rm -rf doc-copy/*
ln -f doc/manual/* doc-copy/
rm -f doc-copy/Makefile*

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage

mkdir -p %buildroot%_sysconfdir/rpm/macros.d
cat > %buildroot%_sysconfdir/rpm/macros <<EOF
# Put your own system macros here
# useally contains 

# Set this one according your locales
# %_install_langs

EOF

# Get rid of unpackaged files
(cd $RPM_BUILD_ROOT;
  rm -rf .%{_includedir}/beecrypt/
  rm -f  .%{_libdir}/libbeecrypt.{a,la,so*}
  rm -f  .%{_libdir}/python*/site-packages/poptmodule.{a,la}
  rm -f  .%{_libdir}/python*/site-packages/rpmmodule.{a,la}
  rm -f  .%{rpmdir}/{Specfile.pm,cpanflute2,cpanflute,sql.prov,sql.req,tcl.req}
  rm -f  .%{rpmdir}/{config.site,cross-build,rpmdiff.cgi}
  rm -f  .%{rpmdir}/trpm
  rm -f  .%{_bindir}/rpmdiff
)

%{rpmdir}/%{_host_vendor}/find-lang.sh $RPM_BUILD_ROOT %{name}
%{rpmdir}/%{_host_vendor}/find-lang.sh $RPM_BUILD_ROOT popt

%check

#make -C popt check-TESTS

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /var/lib/rpm/Packages -a -f /var/lib/rpm/packages.rpm ]; then
    echo "
You have both
	/var/lib/rpm/packages.rpm	db1 format installed package headers
	/var/lib/rpm/Packages		db3 format installed package headers
Please remove (or at least rename) one of those files, and re-install.
"
    exit 1
fi

/usr/share/rpm-helper/add-user rpm $1 rpm /var/lib/rpm /bin/false

rm -rf /usr/lib/rpm/*-mandrake-*

%post
# nuke __db.00? when updating to this rpm
rm -f /var/lib/rpm/__db.00?

if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f %{rpmdir}/convertrpmrc.sh ] 
then
	sh %{rpmdir}/convertrpmrc.sh 2>&1 > /dev/null
fi

if [ -f /var/lib/rpm/packages.rpm ]; then
    /bin/chown rpm.rpm /var/lib/rpm/*.rpm
elif [ ! -f /var/lib/rpm/Packages ]; then
    /bin/rpm --initdb
fi

%postun
/usr/share/rpm-helper/del-user rpm $1 rpm

%post -n %librpmname -p /sbin/ldconfig
%postun -n %librpmname -p /sbin/ldconfig

%post -n %libpoptname -p /sbin/ldconfig
%postun -n %libpoptname -p /sbin/ldconfig

%define	rpmattr		%attr(0755, rpm, rpm)

%files -f %{name}.lang
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY GROUPS CHANGES doc/manual/[a-z]*
%attr(0755, rpm, rpm) /bin/rpm
%attr(0755, rpm, rpm) %{_bindir}/rpm2cpio
%attr(0755, rpm, rpm) %{_bindir}/gendiff
%attr(0755, rpm, rpm) %{_bindir}/rpmdb
%attr(0755, rpm, rpm) %{_bindir}/rpm[eiukqv]
%attr(0755, rpm, rpm) %{_bindir}/rpmsign
%attr(0755, rpm, rpm) %{_bindir}/rpmquery
%attr(0755, rpm, rpm) %{_bindir}/rpmverify

%dir %{_localstatedir}/spool/repackage
%dir %{rpmdir}
%dir /etc/rpm
%config(noreplace) /etc/rpm/macros
%config(noreplace) /etc/rpm/macros.cdb
%dir /etc/rpm/macros.d
%attr(0755, rpm, rpm) %{rpmdir}/config.guess
%attr(0755, rpm, rpm) %{rpmdir}/config.sub
%attr(0755, rpm, rpm) %{rpmdir}/convertrpmrc.sh
%attr(0755, rpm, rpm) %{rpmdir}/rpmdb_*
%attr(0644, rpm, rpm) %{rpmdir}/macros
%attr(0755, rpm, rpm) %{rpmdir}/mkinstalldirs
%attr(0755, rpm, rpm) %{rpmdir}/rpm.*
%attr(0755, rpm, rpm) %{rpmdir}/rpm[deiukqv]
%attr(0644, rpm, rpm) %{rpmdir}/rpmpopt*
%attr(0644, rpm, rpm) %{rpmdir}/rpmrc

%{_prefix}/lib/rpmpopt
%{_prefix}/lib/rpm/rpmrc
%rpmattr	%{rpmdir}/rpm2cpio.sh
%rpmattr	%{rpmdir}/tgpg

%ifarch i386 i486 i586 i686 k6 athlon
%attr(   -, rpm, rpm) %{rpmdir}/i*86-*
#%attr(   -, rpm, rpm) %{rpmdir}/k6*
%attr(   -, rpm, rpm) %{rpmdir}/athlon*
%attr(   -, rpm, rpm) %{rpmdir}/pentium*
%endif
%ifarch alpha
%attr(   -, rpm, rpm) %{rpmdir}/alpha*
%endif
%ifarch sparc sparc64
%attr(   -, rpm, rpm) %{rpmdir}/sparc*
%endif
%ifarch ppc powerpc
%attr(   -, rpm, rpm) %{rpmdir}/ppc-*
%attr(   -, rpm, rpm) %{rpmdir}/ppc64-*
%attr(   -, rpm, rpm) %{rpmdir}/powerpc-*
%endif
%ifarch ppc powerpc ppc64
%attr(   -, rpm, rpm) %{rpmdir}/ppc*series-*
%endif
%ifarch ppc64
%attr(   -, rpm, rpm) %{rpmdir}/ppc-*
%attr(   -, rpm, rpm) %{rpmdir}/ppc64-*
%endif
%ifarch ia64
%attr(   -, rpm, rpm) %{rpmdir}/ia64-*
%endif
%ifarch x86_64
#%attr(   -, rpm, rpm) %{rpmdir}/amd64-*
%attr(   -, rpm, rpm) %{rpmdir}/x86_64-*
%endif
%attr(   -, rpm, rpm) %{rpmdir}/noarch*

%{_prefix}/src/rpm/RPMS/*
%{_datadir}/man/man[18]/*.[18]*
%lang(pl) %{_datadir}/man/pl/man[18]/*.[18]*
%lang(ru) %{_datadir}/man/ru/man[18]/*.[18]*
%lang(ja) %{_datadir}/man/ja/man[18]/*.[18]*
%lang(sk) %{_datadir}/man/sk/man[18]/*.[18]*
%lang(fr) %{_datadir}/man/fr/man[18]/*.[18]*
%lang(ko) %{_datadir}/man/ko/man[18]/*.[18]*

%config(noreplace,missingok)	/etc/cron.daily/rpm
%config(noreplace,missingok)	/etc/logrotate.d/rpm

%attr(0755, rpm, rpm)	%dir %_localstatedir/lib/rpm

%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)

%rpmdbattr	/var/lib/rpm/Basenames
%rpmdbattr	/var/lib/rpm/Conflictname
%rpmdbattr	/var/lib/rpm/__db.0*
%rpmdbattr	/var/lib/rpm/Dirnames
%rpmdbattr	/var/lib/rpm/Group
%rpmdbattr	/var/lib/rpm/Installtid
%rpmdbattr	/var/lib/rpm/Name
%rpmdbattr	/var/lib/rpm/Packages
%rpmdbattr	/var/lib/rpm/Providename
%rpmdbattr	/var/lib/rpm/Provideversion
%rpmdbattr	/var/lib/rpm/Removetid
%rpmdbattr	/var/lib/rpm/Requirename
%rpmdbattr	/var/lib/rpm/Requireversion
%rpmdbattr	/var/lib/rpm/Triggername

%files build
%defattr(-,root,root)
%doc CHANGES
%doc doc-copy/*
%dir %{_prefix}/src/rpm
%dir %{_prefix}/src/rpm/BUILD
%dir %{_prefix}/src/rpm/SPECS
%dir %{_prefix}/src/rpm/SOURCES
%dir %{_prefix}/src/rpm/SRPMS
%dir %{_prefix}/src/rpm/RPMS
%rpmattr	%{_bindir}/rpmbuild
%rpmattr	%{_prefix}/lib/rpm/brp-*
%rpmattr	%{_prefix}/lib/rpm/check-files
%rpmattr	%{_prefix}/lib/rpm/check-prereqs
#%rpmattr	%{_prefix}/lib/rpm/config.site
#%rpmattr	%{_prefix}/lib/rpm/cross-build
#%rpmattr	%{_prefix}/lib/rpm/filter.sh
%rpmattr	%{_prefix}/lib/rpm/freshen.sh
%rpmattr	%{_prefix}/lib/rpm/debugedit
%rpmattr	%{_prefix}/lib/rpm/executabledeps.sh
%rpmattr	%{_prefix}/lib/rpm/find-debuginfo.sh
%rpmattr	%{_prefix}/lib/rpm/find-lang.sh
%rpmattr	%{_prefix}/lib/rpm/find-prov.pl
%rpmattr	%{_prefix}/lib/rpm/find-provides
%rpmattr	%{_prefix}/lib/rpm/find-provides.perl
%rpmattr	%{_prefix}/lib/rpm/find-req.pl
%rpmattr	%{_prefix}/lib/rpm/find-requires
%rpmattr	%{_prefix}/lib/rpm/find-requires.perl
%rpmattr	%{_prefix}/lib/rpm/get_magic.pl
%rpmattr	%{_prefix}/lib/rpm/getpo.sh
%rpmattr	%{_prefix}/lib/rpm/http.req
%rpmattr	%{_prefix}/lib/rpm/javadeps
%rpmattr	%{_prefix}/lib/rpm/javadeps.sh
%rpmattr	%{_prefix}/lib/rpm/libtooldeps.sh
%rpmattr	%{_prefix}/lib/rpm/magic
%rpmattr	%{_prefix}/lib/rpm/magic.mgc
%rpmattr	%{_prefix}/lib/rpm/magic.mime
%rpmattr	%{_prefix}/lib/rpm/magic.mime.mgc
%rpmattr	%{_prefix}/lib/rpm/magic.prov
%rpmattr	%{_prefix}/lib/rpm/magic.req
%rpmattr	%{_prefix}/lib/rpm/perldeps.pl
%rpmattr	%{_prefix}/lib/rpm/perl.prov
%rpmattr	%{_prefix}/lib/rpm/perl.req
%rpmattr	%{_prefix}/lib/rpm/pkgconfigdeps.sh

%rpmattr	%{_prefix}/lib/rpm/rpm[bt]
%rpmattr	%{_prefix}/lib/rpm/rpmdeps
#%rpmattr	%{_prefix}/lib/rpm/trpm
%rpmattr	%{_prefix}/lib/rpm/u_pkg.sh
%rpmattr	%{_prefix}/lib/rpm/vpkg-provides.sh
%rpmattr	%{_prefix}/lib/rpm/vpkg-provides2.sh
%rpmattr    %{_prefix}/lib/rpm/pythondeps.sh

%{_mandir}/man8/rpmbuild.8*
%{_mandir}/man8/rpmdeps.8*

%if %buildpython
%files -n python-rpm
%defattr(-,root,root)
%{_libdir}/python*/site-packages/rpm
%endif

%files -n %librpmname
%defattr(-,root,root)
%{_libdir}/librpm-%{libver}.so
%{_libdir}/librpmdb-%{libver}.so
%{_libdir}/librpmio-%{libver}.so
%{_libdir}/librpmbuild-%{libver}.so

%files -n %librpmname-devel
%defattr(-,root,root)
#%doc apidocs/html
%{_includedir}/rpm
%{_libdir}/librpm.a
%{_libdir}/librpm.la
%{_libdir}/librpm.so
%{_libdir}/librpmdb.a
%{_libdir}/librpmdb.la
%{_libdir}/librpmdb.so
%{_libdir}/librpmio.a
%{_libdir}/librpmio.la
%{_libdir}/librpmio.so
%{_libdir}/librpmbuild.a
%{_libdir}/librpmbuild.la
%{_libdir}/librpmbuild.so
%{_datadir}/man/man3/RPM*
%rpmattr	%{rpmdir}/rpmcache
%rpmattr	%{rpmdir}/rpmdb_deadlock
%rpmattr	%{rpmdir}/rpmdb_dump
%rpmattr	%{rpmdir}/rpmdb_load
%rpmattr	%{rpmdir}/rpmdb_loadcvt
%rpmattr	%{rpmdir}/rpmdb_svc
%rpmattr	%{rpmdir}/rpmdb_stat
%rpmattr	%{rpmdir}/rpmdb_verify
%rpmattr	%{rpmdir}/rpmfile
%rpmattr	%{_bindir}/rpmgraph

%files -n popt-data -f popt.lang
%defattr(-,root,root)

%files -n %libpoptname
%defattr(-,root,root)
/%{_lib}/libpopt.so.*
%{_libdir}/libpopt.so.*

%files -n %libpoptname-devel
%defattr(-,root,root)
%{_libdir}/libpopt.a
%{_libdir}/libpopt.la
%{_libdir}/libpopt.so
%{_includedir}/popt.h
%{_datadir}/man/man3/popt.3*

%files -n perl-%perlmodule
%defattr(-,root,root)
%{perl_vendorarch}/%{perlmodule}.pm
%{perl_vendorarch}/auto/%{perlmodule}
%doc perl/Changes

%changelog
* Thu Sep 14 2006 rafael
+ 2006-09-14 12:49:03 (61429)
Bump release number

* Thu Sep 14 2006 rafael
+ 2006-09-14 09:19:42 (61406)
Improve previous patch: make it conditional on the environment variable RPM_IGNORE_SCRIPTLETS_FAILURE

* Thu Sep 14 2006 rafael
+ 2006-09-14 08:34:50 (61391)
Allow preinstall scriptlets to fail and not interrupting the installation.
This is a workaround for bug 25598.


* Fri Aug 18 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-18 13:35:28 (56766)
- bump release

* Thu Aug 17 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-17 16:04:09 (56642)
- revert to my own chroot patch, thee second one is broken

* Sat Aug 12 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-12 01:54:54 (55706)
- bump release
- buildrequires lua-devel

* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-03 17:39:59 (51650)
- import mailscanner
- update patch with C. Welvaart fixes


* Tue Aug 01 2006 rafael
+ 2006-08-01 10:46:06 (42891)
Fix typos

* Fri Jul 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-28 21:06:15 (42481)
- bump release

* Fri Jul 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-28 17:03:29 (42407)
- add upstream patch97: fix dbenv

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-27 17:13:32 (42319)
- patch96: fix #23774

* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-26 13:32:46 (42186)
- fix rpmv3 patch: rpm version in the lead in 3 for both rpm 3 and 4

* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-25 14:55:26 (42121)
- fix #23075: patch 95, use tee -a

* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-25 01:23:12 (42052)
- patch93: support rpm v3
- bump release

* Thu Jul 20 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-20 22:47:48 (41794)
- ensure leaveChroot can't be run by another function which is not the the caller of enterChroot

* Thu Jul 20 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-20 22:16:48 (41793)
- remove changelog from spec

* Thu Jul 13 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-13 23:19:45 (41103)
- add patch 93 (disable by default, need tests) to fix issue in rpmdb when mixing 'rpm --root' and 'chroot rpm'

* Tue Jul 11 2006 rafael
+ 2006-07-11 13:38:47 (38773)
4.4.6-4mdk

* Tue Jul 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.6-4mdv2007.0
- Fix rpm -ta (Pixel)

* Fri Jul 07 2006 rafael
+ 2006-07-07 12:39:32 (38477)
Patch by Pixel to use --wildcards when using tar to list all specfiles in a tar
ball (this fixes rpm -t).


* Wed Jun 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-21 18:42:19 (37782)
- update macros in the spec
- provide some /etc/rpm files
- -3mdv release

* Wed Jun 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-21 17:43:23 (37780)
- fix patch in patch

* Wed Jun 21 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-3mdv2007.0
- patchs:
  - fix rpmdb.h c++ compilation (C. Welvaart)
  - fix unchecked end of string in macro expand (O. Thauvin)
  - fix check unpackaged files script (R. Garcia-Suarez)
- update macros provide by the spec used for bootstraping
- set some /etc/rpm/macros.* as config(noreplace)

* Tue Jun 20 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-20 19:08:35 (37680)
- better rpmdb.h c++ fix

* Tue Jun 20 2006 rafael
+ 2006-06-20 13:09:24 (37656)
Add patch 91: avoids taking into account duplicates in file list
when checking for unpackaged files


* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-17 14:14:36 (37403)
- Patch90: fix unchecked end of line in macro expand

* Fri Jun 16 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-16 03:20:41 (37325)
- patch 89: make rpmdb.h compliant

* Tue Jun 13 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-13 23:52:13 (37209)
- file in /etc are %%config

* Sun Jun 11 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-11 16:10:59 (36947)
- patch 88: readd SOURCEPACKAGE tag to source rpm

* Sun Jun 11 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-2mdv2007.0
- Patch88: readd SOURCEPACKAGE tag into src.rpm

* Sat Jun 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-10 12:39:39 (36938)
- make no_dirname_dep patch configurable with a macro

* Sat Jun 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-10 03:11:59 (36937)
- bunzip patch, merge rpm 4.4.6

* Sat Jun 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-10 02:58:45 (36936)
- initial import of rpm

* Sat Jun 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-06-10 02:57:58 (36935)
- initial import of rpm

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 4.4.6-1mdv2007.0
- 4.4.6
- rediff patches
- add patch to disable dirnames dependencies for now

* Tue Mar 21 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.5-2mdk
- Require latest rpm-mandriva-setup

* Tue Mar 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.5-1mdk
- 4.4.5
- Remove patches 41 and 87, merged upstream
- Rediff patches 69 and 78
- Make rpm-build require libtool-base instead of libtool (bug #21162)
- Turn the triggerun in post scriptlet

* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-4mdk
- Patch 87

* Tue Feb 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-3mdk
- Move popt(3) man page into libpopt-devel (bug 18161)
- Add coreutils in prerequisites (bug 19144)
- Fix dangling symlink (bug 6788)

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-2mdk
- Patch 86: don't cache Depends DB (Olivier Thauvin)
- Bump requires on rpm-mandriva-setup

* Thu Jan 05 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.4-1mdk
- New version 4.4.4
- Rediff patches 31, 49, 62, 69, 71, 78, 82, 84
- Remove patch 66 (fixed upstream)
- Remove patch 74 (no longer necessary, no legacy prereqs anymore)
- Remove patch 76 (should be unnecessary now that RH bug 151255 is fixed)
- Remove patch 79 (applied upstream)
- Remove patch 81 (does nothing)
- New subpackage perl-RPM, and patch 85 to install it in vendor dir
- Use static libneon, libsqlite3 and libopenssl
- Update condition for triggerun
- Add conditional BuildRequires on nptl-devel
- Disable popt tests
- Remove selinux
- Requires recent rpm-mandriva-setup for _rpmlock_path macro

* Sun Nov 13 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-6mdk
- rebuild for openssl (ask by Oden)

* Sat Oct 22 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-5mdk
- Fix #19392

* Thu Sep 15 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.4.2-4mdk
- buildrequires: rpm-mandriva-setup-build
- fix simple coloring patch, aka merge it correctly
- re-add the no-doc-conflicts patch for colored packages

* Mon Aug 29 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-3mdk
- patch 80: fix #17774
- patch 81, 82: should fix ordering issue
- BuildRequires: bzip2-devel (thanks Christian)

* Fri Aug 19 2005 Frederic Lepied <flepied@mandriva.com> 4.4.2-2mdk
- 79: fix deadlock from RedHat bug #146549.

* Thu Jul 21 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.2-1mdk
- 4.4.2
- remove patch:
    52: merged upstream
    67: fixed upstream
    73: merged upstream
    78: merged upstream
    79: merged upstream
    32, 33, 36: no more need hack
- rename rpm-python to python-rpm    
- use fnctl when not using futex
- use nptl only on few arches (ppc* x86_64 pentium3,4/Athlon)

* Wed Jun 22 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-10mdk
- add requires to rpm-build after the rpm-mandriva-setup split

* Mon Jun 20 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-9mdk
- Enable NPTL and co
- rework patch77: allow %_srcdefattr as macro for src.rpm
- Patch78: reread few macro between build
- Patch79: fix rpm --eval '%' overflow

* Thu Jun 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.1-8mdk
- Move dependencies on unzip, make and elfutils from rpm to rpm-build

* Sat Jun 04 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-7mdk
- patch77: allow to set root/root as owner of files in src.rpm
- rebuild with neon 0.24 as it moved in main instead 0.25

* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.1-6mdk
- Patch 76 : allow to rebuild db with --root option

* Tue May 17 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-5mdk
- update french translation
- disable NPTL system + --with to enable it
- --w/o pyhton switch
- remove db_private patch as it breaks concurrent access

* Sun May 15 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-4mdk
- really apply patch (I sucks)
- some cleaning

* Sun May 15 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-3mdk
- Patch71: Ordering transaction on erasure
- Patch72: rpm -[Ui] check files conflicts
- Patch73,74: Fedora patch, fixing bug

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-2mdk
- patch70: allow rpm -bb --short-circuit
- conflicts man-pages-pl < 0.4-9mdk
- move spec mode for emacs into rpm-mandriva-setup
- buildrequires
- remove locales files from libpopt

* Tue May 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4.1-1mdk
- Adapt part of the coloring patch (patch 62)
- Fix a few French translations (patch 69)
- Require libneon 0.25

* Sun May 08 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.7mdk
- BuildRequires readline-devel (P.O. Karlsen)
- --disable-{posixmutexes,pthreadsmutexes} on sparc (P.O. Karlsen)
- patch68: being able to read old rpms
- update source url
- fix file list for ppc (C. Welvaart)

* Thu May 05 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.6mdk
- use system sqlite
- force -fPIC on amd64 (for popt)
- perform test for popt
- patch67 fix build with gcc4

* Tue May 03 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.5mdk
- workaround make -j

* Tue May 03 2005 Olivier Thauvin <nanardon@mandriva.org> 4.4.1-0.4mdk
- 4.4.1
- remove biarch, use mklibname (see 4.2.3-10mdk)
- do no longer patch the config, use /usr/lib/rpm/VENDOR/rpmrc instead
- require rpm-mandriva-setup
- remove many obsoletes patch
- do not longer provide update-alternative
- more defined macros in the spec, less hardcode patch

* Mon May 02 2005 Pixel <pixel@mandriva.com> 4.2.3-11mdk
- emacs spec mode:
  - use rpm-find-spec-version-with-shell by default, and enhance it
  - handle release built using mkrel macro (in rpm-increase-release-tag)

* Wed Apr 27 2005 Olivier Thauvin <nanardon@mandriva.org> 4.2.3-10mdk
- split libs into separated package to make rpm update easier for URPM

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-9mdk
- bump multiarch-utils requires
- ignore conflicts in gnome-doc html files, install the latest files

* Wed Mar 09 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.2.3-8mdk
- fix tr call in mono patch (bug #14449)
- fix bzip2 call (bug #7663)
- encode ru man pages in KOI8-R (bug #10219 and #12613)

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-8mdk
- hack to always install the latest arch-independent gtk-doc html
  files and man pages, aka. don't conflict on biarch platforms

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-7mdk
- popt is now a biarch package

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-6mdk
- requires multiarch-utils >= 1.0.7-1mdk
- RPM_INSTALL_LANG support is obsolete for MDK >= 10.2 (rafael)

* Tue Feb 08 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.2.3-5mdk
- added mkrel macro (Buchan)
- changed group System/X11 from System/XFree86

* Thu Jan 27 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-4mdk
- newer multiarch-utils requires
- generate package script autoreqs only if requested (#13268)
- don't install .delta.rpm directly, use applydeltarpm first (SuSE)

* Mon Jan 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-3mdk
- minor cleanups
- check for files that ought to be marked as %%multiarch

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-2mdk
- newer multiarch-utils requires
- enable and improve file coloring
  * use file colors even if still using the external dependencies generator
  * assign a color to *.so symlinks to mix -devel packages
  * assign a color to *.a archives to mix -{static,}-devel packages

* Fri Jan 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-1mdk
- multiarch-utils autoreq
- allow build of 32-bit RPMs on x86-64
- ppc64 fixes
- update from 4.2-branch
  * auto-relocation fixes on ia64
  * change default behavior to resolve file conflicts as LIFO
  * generate debuginfo for setuid binaries

* Fri Jan 07 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-19mdk
- compile --with-glob to avoid a problem with the internal glob code.

* Thu Jan 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.2.2-18mdk
- Add patch 60 (Guillaume Rousse): make find-requires ignore dependencies on
  linux-incompatible perl modules. (bug #12695)

* Mon Dec 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.2.2-17mdk
- Add patch 59, necessary for the smart package manager (new function
  rpmSingleHeaderFromFD() in the python bindings)

* Sat Dec 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-16mdk
- rebuild for python 2.4

* Thu Aug 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-15mdk
- use system zlib

* Wed Jul 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-14mdk
- fix mono patch (bug #7201)

* Tue Jul 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-13mdk
- use mono-find-requires and mono-find-provides if present (Gtz Waschk) (bug #7201)

* Tue Jul 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-12mdk
- use a correct implementation of cpuid (Gwenole)
- return None instead of [] in rpm-python (Paul Nasrat)
- add /var/spool/repackage (bug #9874)
- handle /usr/lib/gcc/ directories for devel() deps too (Gwenole)

* Wed May 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.2-10mdk
- switch back to x86_64 packages on 64-bit extended platforms

* Thu May 13 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.2-9mdk
- fix /usr/lib/rpmpopt symlink
- use -mtune=pentiumpro on any MDK >= 10.0

* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.2.2-8mdk
- When unlocking the RPMLOCK file, don't forget to close(2) it too.

* Wed Feb 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-7mdk
- really fix perl.prov and perl.req

* Tue Feb 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-6mdk
- fixed broken link (Gwenole)
- BuildRequires (Gwenole)
- fixed perl.prov and perl.req to inspect only real files

* Thu Feb 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.2-5mdk
- use DB_PRIVATE for the time being, nuke __db.00? when updating to this one

* Wed Feb 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.2-4mdk
- buildrequires automake1.7
- use system elfutils, beecrypt
- hack out O_DIRECT support in db4 for now
- fix RPMLOCK for rpm -r <root> --rebuilddb as user

* Mon Jan 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-3mdk
- back to our standard behaviour while comparing versions

* Fri Jan 16 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-2mdk
- put back a typo to be backward compatible

* Fri Jan 16 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.2.2-1mdk
- rpm-spec-mode modifications (use of rpm-spec-user-mail-address and
 rpm-spec-user-full-name for changelog entries, tab or space use for
 new files) from Olivier Blin
- new version from cvs

* Thu Jan 08 2004 Pixel <pixel@mandrakesoft.com> 4.2-27mdk
- cleanup lock patch (i sux)

* Thu Jan 08 2004 Pixel <pixel@mandrakesoft.com> 4.2-26mdk
- fix RPMLOCK patch (for rebuilddb)

* Wed Dec 17 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-25mdk
- really fix bug #6553
- take into account automatic perl Requires/Povides only when
starting with a capital letter.

* Mon Dec 15 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-24mdk
- corrected wrong automatic perl-base requires [bug #6439]
- try to find interpreters only when the scripts begin with #! [bug #6430]
- don't put an automatic devel(linux-gate) dependency [bug #6553]
- auto-generate a dependency on pkgconfig if a .pc file is found
in /usr/lib(64)?/pkgconfig [bug #6438]

* Tue Dec 09 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-23mdk
- don't put Prefix in spec file template created by emacs spec-mode
[bug #6282] (Gtz Waschk)
- also abort build when a symlink isn't listed [bug #6370] (Gtz Waschk)

* Tue Nov 25 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-22mdk
- corrected --rebuilddb problem (bug #6395)

* Wed Oct 29 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-21mdk
- new lock scheme by Francois

* Wed Oct 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-20mdk
- fix crash in rpmalAllSatisfiesDepend()

* Tue Sep 16 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-19mdk
- conflicts: man-pages-fr < 0.9.7-16mdk
- handle EXCLUDE_FROM_STRIP in find-debuginfo.sh
- correctly define pythondir for python modules installation

* Thu Sep 11 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-18mdk
- really correct lock problem (patch13)

* Wed Sep 10 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-17mdk
- Add new python macros: pyver
- Make "x86_64" the canonical arch on amd64
- correct patch15 to have good locks (flepied)

* Thu Aug 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-16mdk
- rebuild for python 2.3

* Mon Aug 04 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-15mdk
- fixed patch49 (Franois)

* Sat Jul 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-14mdk
- Requires: libtool >= 1.4.3-5mdk
- Always call cputoolize in %%configure{,2_5x}

* Thu Jul 24 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-13mdk
- Requires: libtool >= 1.4.3-4mdk
- Patch44: Default to .amd64.rpm packages

* Thu Jul 10 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-12mdk
- Make find-provides look for gcc libraries too
- Unconditionnally expands LD_LIBRARY_PATH with lib64 dirs

* Wed Jul 09 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-11mdk
- Make it build again without hacks ;-)
- Fix and make find-{requires,provides} lib64 aware
- BuildRequires: sed >= 4.0.3, otherwise sed -e '/.../!s,...,' doesn't work

* Tue Jul 08 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-10mdk
- BuildRequires: elfutils-static-devel
- Fix merge with older MDK AMD64 changes
- Apply configure-xpath patch on all lib64 platforms
- Patch42: Don't link against system libs when relinking in %%install

* Mon Jul 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-9mdk
- devel requires/provides are now in the form devel(<soname>)
- -g is only activated when producing a -debug package

* Mon Jun 23 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-8mdk
- BuildRequires libelf-static-devel
- disabled -debug package
- backported patch from 4.2.1 about provides becoming obsoletes (fpons)
- sparc modifications from Olivier Thauvin

* Tue May 13 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-7mdk
- added ppc64-linux subdir on ppc (Olivier Thauvin)
- fixed build
- added -g to the compilation flags to be able to correctly
build -debug packages
- added %%_provides_exceptions and %%_requires_exceptions to be able to
pass a grep expression to filter provides and requires.

* Mon May 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-6mdk
- ported syslog patch (patch31)
- BuildRequires: autoconf2.5 (Stefan)
- %%{rpmdir}/alpha-* --> %%{rpmdir}/alpha* (Stefan)
- corrected devel requires/provides (Stefan)

* Fri May 09 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-5mdk
- updated patch41 to correctly detect IBM750FX (Gwenole)
- activated automatic requires for perl and devel packages

* Tue May 06 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-4mdk
- corrected buggy find-provides

* Tue May 06 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-3mdk
- better bootstrapping
- enabled automatic perl provides
- automatic devel provides (Stefan)
- automatic perl and devel requires will be activated later when the base
packages will have been rebuilt

* Wed Apr 30 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-2mdk
- corrected upgrade
- add back the legacy aliases for building packages with the rpm command
- use external helpers to gather provides and requires

* Mon Apr 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.2-1mdk
- 4.2

* Mon Jan 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-28mdk
- Patch41: Correctly check for PPC 74xx systems
- Merge in real rpm tree:
  * Tue Jan  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-26mdk
  - Update Patch0 (mdkconf) to put back libtoolize for %%configure
  - Update Patch43 (configure-xpath) to match latest merges
  * Tue Jan  7 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-25mdk
  - merged patches that touched to macro/platform/installplatform into patch0
  - added BuildRequires glibc-static-devel

* Wed Jan 08 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.4-27mdk
- "Mama what is the food for dinner tonight" asked the young boy,
  looking in the eyes of his boy 'like always with straightness' the
  mum answered "Pancake with honey only Pancake with honey my
  boy". (BTW: fix rpm-spec-mode to load 'cl before initializing or it
  would not work).

* Wed Jan 08 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.4-26mdk
- fix my badness of rpm-spec-mode.
- add function rpm-spec-insert-changelog-version-with-shell which
  allow to find version-release with rpm command (usefully for tricky
  spec file like kernel).

* Tue Jan 07 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.4-25mdk
- fix rpm-spec-mode::rpm-add-change-log-entry to accept argument for
  non interactive changelog addition.
- Make latest rpm-spec-mode work with Gnu-Emacs.
- Upgrade rpm-spec-mode to 0.12.

* Tue Jan 07 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-26mdk
- Update Patch0 (mdkconf) to put back libtoolize for %%configure
- Update Patch43 (configure-xpath) to match latest merges
- Patch46: Backport prelink support and use mmap() when calculating
  file digests on verify

* Tue Jan 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-25mdk
- merged patches that touched to macro/platform/installplatform into patch0
- added BuildRequires glibc-static-devel

* Tue Dec 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-24mdk
- correct %%configure2_5x macro to do the right stuff wrt to libtoolize
- %%_repackage_dir point to /var/tmp (bug #560)

* Tue Dec 24 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-23mdk
- recompile to have the macros really expanded

* Mon Dec 23 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-22mdk
- merged patches for platform.in
- %%configure2_5x do not use --target and --host options (bug #701)
- check for configure.ac in %%configure2_5x (bug #700)
- added %%_post_shelladd and %%_preun_shelldel

* Fri Nov 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-21mdk
- Ship with rpm2cpio.sh, python poptmodule.so
- Update Patch0 (mdkconf) with new RPM_OPT_FLAGS
- Patch50: Add %%_missing_doc_files_terminate_build
- Patch51: Add %%mdkversion, to ease numerical compares of MDK versions
- Patch52: Add %%{mklibname <name> [<major> [<minor>]] [-s] [-d]}

* Mon Nov 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-20mdk
- Patch49: Add %%_unpackaged_files_terminate_build from rpm-4.1 which
  is now set by default. Aka rpm build will now fail if files are
  found in $RPM_BUILD_ROOT and not referenced in %files section.
- Update Patch39 (x86_64) to really leave config files in /usr/lib/rpm
- Update Patch5 (autoreq): Fix filelist filtering in find-provides

* Thu Sep 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-19mdk
- include /etc/rpm

* Mon Sep 09 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-18mdk
- strip binaries

* Thu Aug 29 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-17mdk
- correct locking behaviour

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-15mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jul 29 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-14mdk
- added 64bits architectures support in find-requires and find-provides
- added %%_pre_groupadd and %%_postun_groupdel macros

* Wed Jul 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-13mdk
- corrected find-provides typo

* Wed Jul 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-12mdk
- corrected find-requires wrt old/new perl paths
- oops forgot to add /usr/X11R6/lib to correct paths for find-requires
- use create-file from rpm-helper for %%create_ghostfile macro.

* Wed Jul 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-11mdk
- use a serial of 2 for perl-base Requires in find-requires
- auto provide soname only from files in /lib and /usr/lib in find-provides

* Tue Jul 09 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-10mdk
- handle old perl release in find-requires (new packages must go to vendor_perl).
- call rpm-helper scripts for service/user addition/removal in scriptlets.

* Tue Jul 09 2002 Pixel <pixel@mandrakesoft.com> 4.0.4-9mdk
- Patch46: 
  - add %%perl_vendorarch and %%perl_vendorlib
  - better and uptodate perl spec example
- Patch5 (autodeps):
  - add "perl-base >= 1:5.8.0" instead of "perl-base >= 5.800"
  - search for perl modules in both site_perl and vendor_perl

* Fri Jul 05 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-8mdk
- corrected %%_pre_useradd macro

* Fri Jul 05 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-7mdk
- added %%_pre_useradd and %%_postun_userdel macros

* Mon Jul 01 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-6mdk
- BuildRequires: gettext-devel
- Patch39: Add initial support for x86-64
- Patch40: Fix handling of nested %%if/%%ifarch constructs (SuSE patch)
- Patch41: Let %%_menudir always be /usr/lib/menu
- Patch42: Restore libtoolize in %%configure, also take care of CONFIGURE_TOP
- Patch43: Correctly setup X11 paths on lib64 systems
- Patch44: Build python modules with PIC code
- Patch45: Python install dir is in $(libdir)

* Thu May 30 2002 Stefan van der Eijk <stefan@eijk.nu> 4.0.4-5mdk
- BuildRequires
- Add extra Requires for rpm and rpm-build (based on macros files)
- Fix Requires and removed redundant ones (basesystem is always on system)
- One BuildRequires / Requires per line
- 4.0.4-4mdk changelog missing?

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.4-3mdk
- Automated rebuild in gcc3.1 environment

* Wed May 01 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-2mdk
- regenerated patches 5 and 31
- use rpm-4.0.4-7x.18 (corrects the .rpmnew problem)

* Wed Mar 20 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4 (updated patches 0, 31 and removed patches 16, 30, 37, 38)

* Wed Mar 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-10mdk
- fix --resign (Jeff Johnson)

* Sat Mar 02 2002 Pixel <pixel@mandrakesoft.com> 4.0.3-9mdk
- fix-using-chroot_prefix-without-taking-care-of-trailing-slash
  (fix the "var/lib/rpm/Basenames" not found at install and oem)

* Thu Feb 28 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-8mdk
- default to compile to i586 on architecture compatible as it should
have always been the case.

* Tue Feb 26 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-7mdk
- added compile options for k6 and corrected alpha and other ix86
- set umask to 022 before running the scriplets
- don't exit 1 when there is no locale files in find-lang.sh

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.3-6mdk
- improved find-lang.sh script, with --all-name switch

* Thu Feb 21 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-5mdk
- automatic requires on perl-base and python-base.

* Mon Feb 04 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-4mdk
- fix %%make macro

* Fri Feb 01 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-3mdk
- fixed typo in macros

* Fri Feb 01 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-2mdk
- really use the first arg in find-requires
- use Jeff Johnson's version of patch34.
- corrected %%_install_info and %%_remove_install_info macros to not bug with multiline

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-1mdk
- add the use of CONFIGURE_TOP to allow the %%configure and
%%configure2_5x macros to work in subdirs. (Jeff)
- %%pyver calculated at compile time. (Alvaro Herrera)
- pass %%buildroot to find-requires (patch34). This allow to calculate
dependencies from compiled libraries instead of relying on installed ones.
- bump the release to 1mdk

* Thu Jan 24 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.3-0.37mdk
- Fix %%install_info again.

* Tue Jan 22 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.3-0.36mdk
- Check file if exist before using %%install_info (fix %excludedocs).

* Sun Dec 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.35mdk
- python 2.2

* Tue Dec 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.3-0.34mdk
- Upgrade to latest rpm-spec-mode.

* Mon Nov 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.33mdk
- fix find-requires (for David)
- use CXXFLAGS=$RPM_OPT_FLAGS when compiling (Jeff)

* Tue Nov 20 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.32mdk
- revert %%makeinstall and provide %%makeinstall_std to use DESTDIR.

* Wed Nov 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.31mdk
- %%makeinstall now use DESTDIR and provided %%old_makeinstall for incompatible
makefiles.

* Fri Nov 09 2001 Frederic Lepied <lepied@videotron.ca> 4.0.3-0.30mdk
- reworked the hash patch to add the missing newline.

* Wed Nov 07 2001 Frederic Lepied <lepied@videotron.ca> 4.0.3-0.29mdk
- updated source from Rawhide
- report a more meaningfull error when rpm-build isn't present (p33)
- added %%configure2_5x macro
- added %%create_ghostfile macro to be used in %%post args are: filename, user, group, mode

* Tue Oct 09 2001 Stefan van der Eijk <stefan@eijk.nu> 4.0.3-0.28mdk
- BuildRequires: byacc

* Wed Sep 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.27mdk
- reworked patch8 to really skip mount points starting by /mnt/.

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.26mdk
- fix comparison between 1mdk and 1.1mdk

* Sat Sep 15 2001 Pixel <pixel@mandrakesoft.com> 4.0.3-0.25mdk
- fix yet again patch26 (aka pablo sucks) setting the locales instead of only saving it

* Fri Sep 14 2001 Pixel <pixel@mandrakesoft.com> 4.0.3-0.24mdk
- fix patch26 (aka pablo sucks) causing segfault with bad locales

* Tue Sep 04 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.23mdk
- the syslog patch is back

* Mon Sep 03 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.22mdk
- new snapshot from cvs:
	- python: add exception to detect bad data in hdrUnload.
	- change dir creation message from warning to debug for now.
	- verify perms (but not mode) on %ghost files.
	- headers without RPMTAG_NAME are skipped when retrieved.
	- within a region, entries sort by address; added drips sort by tag.
	- fix: error message on failed package installs resurrected.
	- python: memory leaks in headerLoad/headerunload bindings.
	- python: retrofit sha1 digest using RPMTAG_SHA1RHN.
	- python: change rhnUnload bindings.
	- python: teach rhnLoad about RPMTAG_SHA1RHN as well.
	- fix: Provides: /path did not work with added packages (#52183).
	- fix: progress bar scaling did not include source rpm count.

* Fri Aug 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.21mdk
- updated patch13 to avoid loop when run as non root.

* Wed Aug 15 2001 Warly <warly@mandrakesoft.com> 4.0.3-0.20mdk
- new snapshot 20010814 with fix for old packages install

* Thu Aug 09 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.19mdk
- new snapshot 20010809 with fix for multi lang Summary and Description.

* Mon Jul 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.18mdk
- updated rpm-spec-mode
- new snapshot 20010730
- regenerated patches 0 and 16
- corrected compilation on up host.

* Tue Jul 24 2001 Franois Pons <fpons@mandrakesoft.com> 4.0.3-0.17mdk
- fix hashes printing using urpmi.

* Wed Jul 18 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.16mdk
- new snapshot from CVS (regenerate patches 0, 13, 16, 17)

* Thu Jul 05 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.15mdk
- test release of rpm 4.0.3

* Wed Jul 04 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.14mdk
- new snapshot from cvs (correct problem of files listed twice)
- removed patch29 (integrated upstream)

* Tue Jul 03 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.13mdk
- added ; at the end of _preun_service and _post_service. I though I
had corrected that before :-(

* Tue Jul 03 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.12mdk
- added -gnu if needed in %%_target_platform

* Mon Jul 02 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.11mdk
- added patch from Matthias to avoid core dumps on IA64.

* Mon Jul 02 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.10mdk
- new snapshot (0.55)

* Thu Jun 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.9mdk
- new snapshot.

* Mon Jun 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.8mdk
- corrected find-requires

* Wed Jun 20 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.7mdk
- use new snapshot.
- really changed Copyright => License in emacs rpm-spec-mode (Goetz Waschk).

* Sun Jun 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.6mdk
- removed install path from doc.
- changed regex to allow space at the end of release/version in rpm-spec-mode (Chmouel).
- changed Copyright => License in emacs rpm-spec-mode (Goetz Waschk).
- corrected find-requires for alpha (from CVS).
- added BuildRequires doxygen.

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0.3-0.5mdk
- Correct type for make macro introducted in 4.0.3-0.4mdk

* Thu Jun 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.4mdk
- fixed C-c r to support all forms of release tags
- corrected emacs startup script (fcrozat)
- don't split macros on multiple lines (gc)
- don't try to auto requires perl packages (pixel)

* Wed Jun 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.3mdk
- corrected %%_sysconfdir macro.

* Wed Jun 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.2mdk
- added librpmdb to devel package

* Wed Jun 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-0.1mdk
- 4.0.3

* Tue May 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-33mdk
- really added -mcpu=ev5 for alpha optflags (sorry Jeff).

* Mon May 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-32mdk
- added -mcpu=ev5 for alpha optflags (Jeff).

* Fri May 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-31mdk
- Make sure to compile again the rpm distribued libtool or we go in ld
  trouble, (until libtool will be fixed) (Chmouel).
- fix bad l10n for languages where I is not the uppercase of i (bug #3570, Pablo)
- rpm-devel requires zlib-devel (DindinX)
- rpm-build Conflicts autoconf < 2.50
- %%configure macro adapted to use the new --build macro (gc)

* Fri May 18 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-30mdk
- add [RPM] to the log (DindinX).
- set LD_LIBRARY_PATH in find-requires.

* Tue May 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-29mdk
- added -fno-strength-reduce for i586 optflags.

* Mon May 07 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-28mdk
- don't exit on patch error (let the shell do it).

* Fri Apr 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-27mdk
- rpm-build added dependency on file
- rebuilt for python 2.1

* Thu Apr 05 2001 Pixel <pixel@mandrakesoft.com> 4.0-26mdk
- remove the relative symlinking in update-alternatives which causes pbs (it switches to "manual")

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-25mdk
- move emacs stuff to rpm-build
- rpm-devel doesn't depend on python

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-24mdk
- added serverbuild macro to be used at the beginning of %build for building
server packages with the right optimization flags.
- added _post_service and _preun_service macros to be used for server packages that
provide initscripts.

* Mon Mar 19 2001 Pixel <pixel@mandrakesoft.com> 4.0-23mdk
- fix the rpm.el (\\. -> \\\\.)

* Tue Mar 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-22mdk
- Add rpm-completion-ignore-case option/function on completion of
  rpm-spec-mode.
- Upgrade rpm-spec-mode to official 0.11e (and add mdk adaptations).

* Mon Mar 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-21mdk
- rebuild with new db3 packages.

* Thu Mar 08 2001 Pixel <pixel@mandrakesoft.com> 4.0-20mdk
- patch for update-alternatives making relative symlinks

* Thu Mar 08 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-19mdk
- added LD_LIBRARY_PATH to RPM_BUILD_ROOT lib dirs when looking for libraries to
avoid linking with the system ones when a package provides its own libraries.

* Mon Mar 05 2001 Pixel <pixel@mandrakesoft.com> 4.0-18mdk
- fix update-alternatives --remove <name> <file> when <file>

* Wed Jan 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-17mdk
- scripts failures don't impact anymore package installation/upgrade/removal.

* Thu Jan 18 2001 Francis Galiegue <fg@mandrakesoft.com> 4.0-16mdk
- Added ia64 arch

* Tue Jan 16 2001 Frederic Lepied <Frederic.Lepied@sugix.frmug.org> 4.0-15mdk
- protect %%make macro with a test of /proc/stat
- updated update-alternatives from dpkg 1.8.3.
- log install and removal of packages through syslog.

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0-14mdk
- integrated ideas from conectiva: in find-requires, don't check /usr/share/doc and
put package name instead of script name.

* Wed Jan 10 2001 Pablo Saratxaga <pablo@mandrakesoft.comW> 4.0-13mdk
- corrected the bug that makes rpmget/puttext crash 

* Mon Dec 11 2000 Gtz Waschk <waschk@linux-mandrake.com> 4.0-12mdk
- fixed inclusion of locale files

* Thu Dec 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-11mdk
- use RPM_INSTALL_LANG to choose which locales to install (Pablo).

* Wed Nov 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-10mdk
- corrected macros file installation (Dadou sucks).

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0-9mdk
- Update optflags for PPC

* Mon Nov 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-8mdk
- BuildRequires: python-devel 2.0
- Oups fix patch.

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-7mdk
- Improve gendiff.

* Sat Nov 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-6mdk
- recompile for python 2.0

* Fri Nov 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-5mdk
- find-requires: check that a script begins with #!

* Wed Nov 08 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0-4mdk
- Update optflags for PPC
- Fix some %%prefix

* Thu Oct 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-3mdk
- fixed optflags for i586.

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-2mdk
- Make poptversion same of version.
- Install ugid.h in the headers of misc.h will not work.

* Wed Oct 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-1mdk
- 4.0

* Fri Oct 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-26mdk
- reverted back %%_lib to lib (fix #815).

* Mon Oct 09 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-25mdk
- put back %%_lib to /lib.

* Thu Oct 05 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-24mdk
- don't use %%configure because it makes bootstrapping fails.
- removed build requires on popt-devel.
- conflict with menu < 2.1.5-29mdk.
- added build requires on zlib-devel gettext automake autoconf.

* Wed Oct 04 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-23mdk
- rpm-devel depends on popt-devel (close bug #593).
- remove warning cannot get lock on database if not verbose.

* Thu Sep 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-22mdk
- remove path of keyring because the users couldn't verify anymore.
- wait while the database is locked to be able to launch multiple rpm
commands without failure.

* Thu Sep 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-21mdk
- added path of gpg keyring in /etc/rpm.

* Sat Sep 02 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-20mdk
- fix _lib in mdk macros, must be "lib" and not "/lib"
(hell, _libdir was /usr///lib, and was getting bigger at each rebuild!)

* Fri Sep 01 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-19mdk
- Remove -mcpu=pentiumpro for i586

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-18mdk
- _localstatedir => /var/lib
- _lib => /lib
- packager tag

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-17mdk
- objdump shutup

* Sun Aug 27 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-16mdk
- Fix and include macros for PPC & Co

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-15mdk
- add -S short-circuit for --short-circuit.
- add -A to build and clean everything.
- Last rpm-spec-mode from my tree.

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-14mdk
- move back to /etc/rc.d/init.d from /etc/init.d
- fix (workaround?) again %%_remove_install_info (modified rpm-3.0.5-mdkconf.patch.bz2)

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-13mdk
- fix (workaround?) %%_remove_install_info (modified rpm-3.0.5-mdkconf.patch.bz2)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-12mdk
- add rpm-spec-mode-mdk.el

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-11mdk
- added _initrddir macro to point to %%{_sysconfdir}/init.d.

* Thu Aug 17 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-10mdk
- use find_lang for .mo's
- hide objdump errors in find-requires

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-9mdk
- remove beroneries for lord ginette

* Fri Aug 11 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-8mdk
- Allow build without macros
- Add popt-devel in BuildRequires

* Thu Aug 03 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-7mdk
- Reinsert all modifications who was gone from 2mdk (thanks titi :-\).

* Wed Aug 02 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-6mdk
- Define mandir and infodir with datadir for FHS.

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-5mdk
- fix docdir (chmousucks :-()

* Tue Aug 01 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-4mdk
- Define localstatelibdir to /var/lib (for FHS).
- Move rpmdiff to /usr/bin/.

* Wed Jul 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-3mdk
- Add -bE options to preprocessor the spec file (Samuel Isaacson).

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-2mdk
- fix cxxflags as required by lord ginette

* Sat Jul 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-1mdk
- 3.0.5 final.

* Fri Jul 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.32mdk
- Exclude Bourne Shell script when doing find-requires on exec files
  and want to play with ldd and objdump.

* Fri Jul 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.5-0.31mdk
- patched % _libexecdir

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.30mdk
- Upgrade groups.
- Define %%_libexcdir to /usr/lib
- Define %%_localstatedir to %{_var}/state.

* Wed Jul 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.29mdk
- updated the list of groups.
- new release candidate. Should correct the rpm -F problem (Jrgen Zimmermann).

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 3.0.5-0.28mdk
- fix macro %%{clean_menus} ;p

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.27mdk
- fix post and postun script for lord rpmlint

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.5-0.26mdk
- urf, forgot to increase the release tag for popt :-(
- post/postun ldconfig

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.5-0.25mdk
- added macros: _menudir, _iconsdir, _miconsdir, _liconsdir

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.24mdk
- BM
- use ... rpm macros ...

* Thu Jul 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.23mdk
- point libexec to /usr/lib.
- added %make to be able to transparently handle SMP compilation.
The NPROCS env variable overrides the automatic detection.

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.22mdk
- fix chmousucks in %%clean_menu (thanks gc)

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.21mdk
- fix chmousucks in %%makeinstall macro

* Tue Jul 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.20mdk
- Define _sysconfdir to /etc.
- Add PREFIX=$RPM_BUILD_ROOT/%%{prefix} to %%makeinstall.
- Add titi patches for optimisations (you have better to ash him wich
  one ;)).

* Mon Jul 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.19mdk
- clean_up typo.

* Sun Jul 09 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.18mdk
- Macroszifications.
- Fix install_info and move it to platform.

* Sun Jul 09 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.17mdk
- Back to -O3.

* Thu Jul 06 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.16mdk
- Add more titi macros %%{make_session} and %%{clean_menu} (it will be
  documented by titi in few days ;)).

* Thu Jul 06 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.15mdk
- Fix typo and remove bad symlinks.

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.5-0.14mdk
- really build against latest libbz2 ...

* Wed Jul 05 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.13mdk
- add %%_gamesdir	games/ %%_gamesbindir   %%{prefix}/%%{_gamesdir}
  %%_gamesdatadir  %%{_datadir}/%%{_gamesdir}, for GG
- Better update-menu macros
- Rebuild agains last bzip2.

* Mon Jul 03 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.12mdk
- updated rpm source with new release candidate.

* Mon Jul 03 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.5-0.11mdk
- recompile with newest bzip2.

* Sat Jul 01 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.10mdk
- s|-O3|-O2|; since -O3 don't compile with gcc2.96

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.9mdk
- Add some links for macros when building with --target (should ok now
  guiseppe ?).

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.8mdk
- Rebuild again bzip2 1.0.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.7mdk
- Another fix to platform.in to call brp-mandrake with the new vendor
  stuff (this one should work !!).

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.6mdk
- define a %real_vendor (mandrake) and change target_platforms  to use it.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.5mdk
- Add %{update-menus} macros.
- define sysconfdir to /etc (thanks gg).
- Include macros file of %{_libdir}/% target_platforms/macros.

* Mon Jun 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.3mdk
- don't use %{vendor} to call brp-mandrake (use mandrake).
- s|%{_prefix}/|% prefix|; for prefix of infodir (titi are you happy ?)

* Sat Jun 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.2mdk
- Define a release for popt* package.

* Fri Jun 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-0.1mdk
- Upgrade groups to mdk Groups.
- More mandrakisations with build policies.
- 3.0.5 test series.
- updates-alternatives should be 755.
- Fix doc.

* Mon Jun 19 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-10mdk
- patch for upgrading directory in symlink, won't work if new location already exists :(
  (fixes some "cpio: unlink failed - Bad file descriptor" errors)

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-9mdk
- Add patch to support rpm-4.0 format (at least work for sources).

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-8mdk
- Downgrade changes for the configure macros and makeinstall macros
  from rpm-4.0.

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-7mdk
- Forget to create the directory :p.

* Tue Jun 06 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-6mdk
- Add /etc/alternatives and /var/lib/rpm/alternatives directory.

* Tue Jun 06 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-5mdk
- Add updates-alternatives.

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-4mdk
- Merge pixel patchs in mdkconf patch.
- Fix gendiff changes.

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-3mdk
- add CXXFLAGS to % configure

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-2mdk
- add k6&k7 to ix86

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-1mdk
- Remove ugly patch and add clean fix from Jeff Johnson.
- 1mdk

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.12mdk
- Work Around (ugly ugly ugly but work) on popt bug with --define on alpha.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.11mdk
- Improve gendiff.
- Define __extensions, and install-info macros install script.
- Add some usefull alias to rpmpopt.

* Sun Mar 26 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-0.10mdk
- patch for supermount: skip mountpoints /mnt/.*

* Wed Mar 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.9mdk
- added dependencies on rpm for rpm-devel, rpm-python and rpm-build.
- split popt in popt and popt-devel

* Thu Mar 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.8mdk
- fix rpmHeaderGetEntry returned type for RPMTAG_OLDFILENAMES.
- fix syntax in find-requires.

* Thu Mar 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.7mdk
- 3.0.4 final.

* Sun Mar 12 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-0.6mdk
- moved libpopt.so.0's in /lib

* Mon Mar 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.0.4-0.5mdk 
- added %{_libdir}/rpm to %files
- added support for RPM_INSTALL_LANG variable (the official way of
  doing it will be using %%{_install_langs} macro on /etc/rpm/macros;
  but there may be some installed systems with RPM_INSTALL_LANG in use
  out ther; and also it is easier for one-time change on the command line) 

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-4mdk
- Remove Makefile* from doc.

* Fri Feb 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.3mdk
- put back the man pages.

* Fri Feb 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.2mdk
- call spec-helper in __spec_install_post.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.1mdk
- New spec clean-up.
- Remove pgp passphrase patch (use gpg instead).
- Obsoletes: popt-devel (now popt does also devel).
- Separate in multiple package like rpm-build popt rpm-devel rpm-python.
- New mdkconf patch.
- Use configure macros
- Hide your babys and womens rpm 3.0.4 from CVS is here.

* Thu Jan 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-48mdk
- Fix rpmrc again (thanks David Walluck <david@anti-microsoft.org>),
  to bothered me ;).

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-47mdk
- Reinsert flags for different arch.

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.3-46mdk
- add %{_libdir}/librpm.so to the devel package.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-45mdk
- Major clean-up of specs and patchs.

* Wed Jan 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.3-44mdk
- fix find-requires for fakeroot.

* Tue Nov 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/-O6/-O3/

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
- Add %prefix/locale/*/ in %files more doc and %prefix/man/%lang/*

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to check PGPPASS before signing.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Create a k6 directory in %{_prefix}/src/RPM/RPMS

* Fri Oct 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post # RPM bugs ?
- 3.0.3 final.

* Mon Sep 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- reEnable the rpm -ba --short-circuit from pixel.
- add patch to get work the python modules (#204).

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Whoops wrong k6 cflags

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Preliminary k6 support

* Thu Sep 23 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in rpmlib

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to fix wrong info path (tnks pablo).
- Fix CFLAGS with multiple gcc interface.

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS - this finally permits us to Provide: versions.

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS
- Put new preferred CFLAGS for {p,}gcc 2.95 in rpmrc by default
- enable support for RPM4 packages
- ignore autoconf version conflicts (autoconf 2.14 works, but rpm
  insists on 2.13)

* Sat Jul 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.
- More architecture in rpmputtext (Pablo).

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last version from CVS (fix --rebuild bugs).
- s|i386|i586| in rpmputtext.

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I wonder want to know why rpmlib is so buggy :-((.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix rpmpopt wrong path.
- Last CVS snapshot.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- oups Forget to add rpmputtext.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Moving the rpmputtext rpmputtext to %{_bindir}
- 3.0.3 from CVS.
- Relifting of spec files.
- Build Patch.
- Merging old patch of libmisc and libtool.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.0.2 final (15mdk)
- fixed default build arch use --target if you need it
- added librpmbuild.*a and other libtool files

* Tue Jul 06 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Could not find 11mdk srpm, snapshoted rpm cvs and incremented release

* Fri May 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing the CVS stuff when compiling.

* Thu May 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to a recent 3.0.2 CVS snapshot (BuildRequire :) )
- add our CFLAGS to rpmrc
- Recompile with CFLAGS for devel

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to more recent 3.0.1 CVS snapshot (more bugfixes)

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I have forget to mkdir %{_prefix}/src/RPM instead of */*/redhat/
- 3.0.1 from Bero.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Add patch for %{_prefix}/src/rpm instead of /usr/src/redhat/.

